For the complete documentation index, see llms.txt. This page is also available as Markdown.

Filter

This contains APIs related to Filter as defined in Harness

List Filters

get

Lists Filters for the given criteria.

Query parameters
pageIndexinteger · int32Optional

Page number of navigation. If left empty, default value of 0 is assumed.

Default: 0
pageSizeinteger · int32Optional

Number of entries per page. If left empty, default value of 100 is assumed

Default: 100
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

typestring · enumRequired

Type of Filter

Possible values:
searchTermstringOptional

Text to search/filter the Entity.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/filters
GET /gateway/ccm/api/filters?accountIdentifier=text&type=Connector HTTP/1.1
Host: nextgen-ce-66b6b78845-qll9w
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Create a Filter

post

Creates a Filter.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body

This has details of the Filter entity defined in Harness

namestringRequired

Name of the Filter.

identifierstringRequired

Identifier of the Filter.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

filterVisibilitystring · enumOptional

This indicates visibility of Filter, by default it is Everyone.

Possible values:
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/filters
POST /gateway/ccm/api/filters?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-66b6b78845-qll9w
Content-Type: application/json
Accept: */*
Content-Length: 203

{
  "name": "text",
  "identifier": "text",
  "orgIdentifier": "text",
  "projectIdentifier": "text",
  "filterProperties": {
    "tags": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "filterType": "Connector"
  },
  "filterVisibility": "EveryOne"
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Update a Filter

put

Updates the filter for the given ID.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body

This has details of the Filter entity defined in Harness

namestringRequired

Name of the Filter.

identifierstringRequired

Identifier of the Filter.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

filterVisibilitystring · enumOptional

This indicates visibility of Filter, by default it is Everyone.

Possible values:
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
put/filters
PUT /gateway/ccm/api/filters?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-66b6b78845-qll9w
Content-Type: application/json
Accept: */*
Content-Length: 203

{
  "name": "text",
  "identifier": "text",
  "orgIdentifier": "text",
  "projectIdentifier": "text",
  "filterProperties": {
    "tags": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "filterType": "Connector"
  },
  "filterVisibility": "EveryOne"
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Return Filter Details

get

Returns the settings of a filter for the given ID.

Path parameters
identifierstringRequired

Filter Identifier

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

typestring · enumRequired

Type of Filter

Possible values:
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/filters/{identifier}
GET /gateway/ccm/api/filters/{identifier}?accountIdentifier=text&type=Connector HTTP/1.1
Host: nextgen-ce-66b6b78845-qll9w
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Delete a Filter

delete

Deletes a filter for the given ID.

Path parameters
identifierstringRequired

Filter Identifier

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

typestring · enumRequired

Type of Filter

Possible values:
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
delete/filters/{identifier}
DELETE /gateway/ccm/api/filters/{identifier}?accountIdentifier=text&type=Connector HTTP/1.1
Host: nextgen-ce-66b6b78845-qll9w
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?